[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.CustomAlignPosition

CustomAlignPosition calls the OnAlignPosition event handler to make a highly specified alignment

## Declaration

Source position: controls.pp line 1714

`protected procedure TWinControl.CustomAlignPosition(`
`AControl: TControl;`
`var ANewLeft: Integer;`
`var ANewTop: Integer;`
`var ANewWidth: Integer;`
`var ANewHeight: Integer;`
`var AlignRect: TRect;`
`AlignInfo: TAlignInfo`
`); virtual;`

The latest version of this document can be found at lazarus-ccr.sourceforge.net .